#
# spec file for package switchboard-plug-notifications
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         appid io.elementary.settings.notifications
Name:           switchboard-plug-notifications
Version:        8.0.0
Release:        1.3
Summary:        Switchboard Notifications Plug
License:        GPL-3.0-or-later
URL:            https://github.com/elementary/switchboard-plug-notifications
Source0:        %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  meson
BuildRequires:  pkgconfig
BuildRequires:  vala
BuildRequires:  pkgconfig(granite-7)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  pkgconfig(switchboard-3)
Requires:       switchboard

%description
Configure which apps should be allowed to show notifications.
A GModule plugin for Switchboard that configures gsettings keys related to
the Notifications plugin for Gala.

%lang_package

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install
%fdupes %{buildroot}%{_datadir}
%find_lang %{appid}

%files
%license COPYING
%doc README.md
%dir %{_libdir}/{switchboard-3,switchboard-3/personal}
%{_libdir}/switchboard-3/personal/libnotifications.so
%{_datadir}/metainfo/%{appid}.metainfo.xml

%files lang -f %{appid}.lang

%changelog
* Tue Nov 12 2024 Richard Rahl <rrahl0@opensuse.org>
- Require switchboard at runtime
* Fri Aug  9 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 8.0.0:
  * Updated illustrations with better RTL support
  * More responsive layout
  * Don't block settings when Do Not Disturb is active
  * Updated translations
- update to 2.2.0:
  * New illustrations
  * Updated translations
- update to 2.1.7:
  * Updated translations
- update to 2.1.6:
  * Updated translations
- switch url to github, as we don't want to link to a different OS
* Thu Nov  8 2018 Alexei Podvalsky <avvissu@yandex.by>
- Add regex for filtering provided libraries
* Wed Oct 17 2018 Alexei Podvalsky <avvissu@yandex.by>
- Update to 2.1.5:
  * New upstream release.
* Tue Jun 12 2018 avvissu@yandex.by
- Update to 0.1.4:
  * New upstream release.
* Sat Jun  9 2018 avvissu@yandex.by
- Switch to github
- Switch to meson
- Add COPYING and README files
- Spec file cleanup
* Thu Oct  5 2017 avvissu@yandex.by
- Update to 0.1.3:
  * Create .gitignore (#20)
  * Create CODE_OF_CONDUCT.md (#19)
  * Implement Preferences URL Specification (#18)
* Thu May 25 2017 avvissu@yandex.by
- Update to 0.1.2:
  * Update FSF Address (#14)
  * Add Travis CI (#13)
  * Create README.md (#12)
* Sun Sep 18 2016 avvissu@yandex.by
- Update to 0.1.1
- Spec file cleanup
* Sat Sep 26 2015 and.november@opensuse.org
- initial package (version 0.1.0.1) for build.opensuse.org
